Generation Framework

## org.eclipse.gmf.codegen.gmfgen.util
Class ViewmapLayoutTypeHelper

    java.lang.Object
      org.eclipse.gmf.codegen.gmfgen.util.ViewmapLayoutTypeHelper

public final class ViewmapLayoutTypeHelper
extends java.lang.Object

Constructor Summary
`ViewmapLayoutTypeHelper()`

Method Summary
`static ViewmapLayoutTypeHelper` `getSharedInstance()`
`boolean` `isStoringChildPositions(GenNode genNode)`
`boolean` `isStoringChildPositions(ViewmapLayoutType layoutType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewmapLayoutTypeHelper

    public ViewmapLayoutTypeHelper()

Method Detail

### getSharedInstance

    public static final ViewmapLayoutTypeHelper getSharedInstance()

### isStoringChildPositions

    public boolean isStoringChildPositions(ViewmapLayoutType layoutType)

### isStoringChildPositions

    public boolean isStoringChildPositions(GenNode genNode)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.